<?php
/**
* @package  EasyBlog YooTheme
* @copyright Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license  GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

use YOOtheme\Builder;
use YOOtheme\Path;

defined('_JEXEC') or die('Unauthorized Access');

include_once __DIR__ . '/src/settings.php';

return [

	// Fires before customizer is initialized
	'events' => [

		// Add settings Panels
		'customizer.init' => [
			SettingsListener::class => 'initCustomizer',
		]

	],

	'extend' => [

		Builder::class => function (Builder $builder, $app) {
			$builder->addTypePath(Path::get('./elements/*/element.json'));
		}
	]
];