<?php
/**
* @package  EasyBlog YooTheme
* @copyright Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license  GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

namespace YOOtheme;

defined('_JEXEC') or die('Unauthorized Access');

return [

	'transforms' => [

		'render' => function ($node) {
			// Retrieve category from params.
			$categories = explode(',', $node->props['categories']);
			$limit = (int) $node->props['limit'] ?: \EB::getViewLimit();
			$offset = (int) $node->props['offset'] ?: 0;

			if (!empty($categories)) {
				foreach ($categories as $key => &$cat) {
					// Cast category to integer.
					$cat = (int) $cat;

					if (!$cat) {
						unset($categories[$key]);
						continue;
					}
				}
			}

			$type = 'latest';

			if ($categories) {
				$type = 'category';
			}

			$options = [
				'paginationType' => 'normal',
				'paginationStyle' => 'none'
			];

			$app = \JFactory::getApplication();
			$input = $app->input;

			$input->set('limitstart', $offset);

			$categories = array_unique($categories);

			$model = \EB::model('Blog');
			$posts = $model->getBlogsBy($type, $categories, ['latest', 'desc'], $limit, EBLOG_FILTER_PUBLISHED, false, true, [], false, false, true, [], [], null, 'listlength', false, [], [], false, [], $options);

			if ($posts) {
				$posts = \EB::formatter('list', $posts, false);
			}

			$node->posts = $posts;
		},

	]
];
