<?php
/**
* @package		EasyBlog YooTheme
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license 		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');

// Wrapper
$wrapper = $this->el('div', []);

$grid = $this->el('div', [
	'class' => [
		'yoo-eb',
		'js-filter' => $posts,
		'uk-child-width-[1-{@!grid_default: auto}]{grid_default}',
		'uk-child-width-[1-{@!grid_small: auto}]{grid_small}@s',
		'uk-child-width-[1-{@!grid_medium: auto}]{grid_medium}@m',
		'uk-child-width-[1-{@!grid_large: auto}]{grid_large}@l',
		'uk-child-width-[1-{@!grid_xlarge: auto}]{grid_xlarge}@xl',
		'uk-flex-center {@grid_column_align}',
		'uk-flex-middle {@grid_row_align}',
		$props['grid_column_gap'] == $props['grid_row_gap'] ? 'uk-grid-{grid_column_gap}' : '[uk-grid-column-{grid_column_gap}] [uk-grid-row-{grid_row_gap}]',
		'uk-grid-divider {@grid_divider} {@!grid_column_gap:collapse} {@!grid_row_gap:collapse}',
		'uk-grid-match {@!grid_masonry}',
	],
	'uk-grid' => $this->expr([
		'masonry: {grid_masonry};',
		'parallax: {grid_parallax};',
	], $props) ?: true,
]);

// Title
$title = $this->el('h3', [
    'class' => [
        'el-title',
    ],
]);
?>

<?= $wrapper($props, $attrs) ?>
	<?php if ($props['show_page_title']) { ?>
		<?= $title($props, $props['title']) ?><?= $title->end() ?>
	<?php } ?>
	
	<?php if ($posts) { ?>
		<?= $grid($props) ?>
			<?php foreach ($posts as $post) { ?>
				<?= $this->render("{$__dir}/item", compact('props', 'post')) ?>
			<?php } ?>
		</div>
	<?php } ?>
</div>
